Ticket #13060: glibc-2.15.diff

File glibc-2.15.diff, 944 bytes (added by jpflori, 9 years ago)

Diff for upstream svn commit r12323; accept glibc 2.15.

  • configure.in

     
    778778        DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
    779779        DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
    780780        ;;
     781     2.15)
     782        AC_MSG_RESULT(2.15 family)
     783        AC_DEFINE([GLIBC_2_15], 1, [Define to 1 if you're using glibc 2.15.x])
     784        DEFAULT_SUPP="glibc-2.X.supp ${DEFAULT_SUPP}"
     785        DEFAULT_SUPP="glibc-2.34567-NPTL-helgrind.supp ${DEFAULT_SUPP}"
     786        DEFAULT_SUPP="glibc-2.X-drd.supp ${DEFAULT_SUPP}"
     787        ;;
    781788     darwin)
    782789        AC_MSG_RESULT(Darwin)
    783790        AC_DEFINE([DARWIN_LIBC], 1, [Define to 1 if you're using Darwin])
     
    791798
    792799     *)
    793800        AC_MSG_RESULT([unsupported version ${GLIBC_VERSION}])
    794         AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.14])
     801        AC_MSG_ERROR([Valgrind requires glibc version 2.2 - 2.15])
    795802        AC_MSG_ERROR([or Darwin libc])
    796803        ;;
    797804esac